#!/sbin/sh

echo "...install overclock"
cp -f /sdcard/OpenRecovery/GOT/lib/modules/overclock.ko /system/lib/modules/overclock.ko
chmod 755 /system/lib/modules/overclock.ko
cp -f /sdcard/OpenRecovery/GOT/lib/modules/cpufreq_interactive.ko /system/lib/modules/cpufreq_interactive.ko
chmod 644 /system/lib/modules/cpufreq_interactive.ko
chown 0.0 /system/lib/modules/cpufreq_interactive.ko
if [ ! -f "/system/bin/mot_boot_mode.bin" ];
then
	mkdir -p /sdcard/OpenRecovery/backup/bin
	cp -f /system/bin/mot_boot_mode /sdcard/OpenRecovery/backup/bin/mot_boot_mode
	cp -f /system/bin/mot_boot_mode /system/bin/mot_boot_mode.bin
else
	mkdir -p /sdcard/OpenRecovery/backup/bin
	cp -f /system/bin/mot_boot_mode.bin /sdcard/OpenRecovery/backup/bin/mot_boot_mode
fi
cp -f /sdcard/OpenRecovery/GOT/bin/mot_boot_mode /system/bin/mot_boot_mode
chmod 755 /system/bin/mot_boot_mo*
chown 0.2000 /system/bin/mot_boot_mo*
if [ ! -d "/system/bin/boot_script" ];
then
mkdir /system/bin/boot_script
fi
cp -fR /sdcard/OpenRecovery/GOT/bin/boot_script/71_overclock.sh /system/bin/boot_script/71_overclock.sh
chmod -R 755 /system/bin/boot_script
chown -R 0.2000 /system/bin/boot_script
sleep 1


	case $1 in
		650)
			echo "overclock to 650 Mhz VSEL 56..."
			sed -i "s/.*max_vsel/echo 56 > \/proc\/overclock\/max_vsel/g" /system/bin/boot_script/71_overclock.sh
			sed -i "s/.*max_rate/echo 650000 > \/proc\/overclock\/max_rate/g" /system/bin/boot_script/71_overclock.sh;;
		720)
			echo "overclock to 720 Mhz VSEL 56..."
			sed -i "s/.*max_vsel/echo 56 > \/proc\/overclock\/max_vsel/g" /system/bin/boot_script/71_overclock.sh
			sed -i "s/.*max_rate/echo 720000 > \/proc\/overclock\/max_rate/g" /system/bin/boot_script/71_overclock.sh;;
		800)
			echo "overclock to 800 Mhz VSEL 56..."
			sed -i "s/.*max_vsel/echo 56 > \/proc\/overclock\/max_vsel/g" /system/bin/boot_script/71_overclock.sh
			sed -i "s/.*max_rate/echo 800000 > \/proc\/overclock\/max_rate/g" /system/bin/boot_script/71_overclock.sh;;
		900)
			echo "overclock to 900 Mhz VSEL 56..."
			sed -i "s/.*max_vsel/echo 56 > \/proc\/overclock\/max_vsel/g" /system/bin/boot_script/71_overclock.sh
			sed -i "s/.*max_rate/echo 900000 > \/proc\/overclock\/max_rate/g" /system/bin/boot_script/71_overclock.sh;;
		1000)
			echo "overclock to 1000 Mhz VSEL 56..."
			sed -i "s/.*max_vsel/echo 56 > \/proc\/overclock\/max_vsel/g" /system/bin/boot_script/71_overclock.sh
			sed -i "s/.*max_rate/echo 1000000 > \/proc\/overclock\/max_rate/g" /system/bin/boot_script/71_overclock.sh;;
	esac